summaryrefslogtreecommitdiff
path: root/.scripts/iplocate
diff options
context:
space:
mode:
Diffstat (limited to '.scripts/iplocate')
-rwxr-xr-x.scripts/iplocate9
1 files changed, 9 insertions, 0 deletions
diff --git a/.scripts/iplocate b/.scripts/iplocate
new file mode 100755
index 0000000..1fcb696
--- /dev/null
+++ b/.scripts/iplocate
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Gets your public ip address checks which country you are in and
+# displays that information in the statusbar
+#
+# https://www.maketecheasier.com/ip-address-geolocation-lookups-linux/
+
+addr="$(curl ifconfig.me 2>/dev/null)" || exit
+grep "flag: " "${XDG_DATA_HOME:-$HOME/.local/share}/emoji" | grep "$(geoiplookup "$addr" | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"